package com.example.pnexample.activities;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.push.DeviceRegistrationResult;
import com.example.pnexample.Defaults;
import com.example.pnexample.R;

public class MainActivity extends AppCompatActivity {

    public Button messsaging_button;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        Backendless.initApp(getApplicationContext(), Defaults.APP_ID, Defaults.Android_KEY);
        Backendless.setUrl(Defaults.host);

        messsaging_button = findViewById(R.id.messaging_button);
        messsaging_button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
//                List<String> channels = Arrays.asList("wedding900");
//                Calendar cal = Calendar.getInstance();
//                cal.add(Calendar.YEAR, 4);
//                Date nextYear = cal.getTime();
//                Backendless.Messaging.registerDevice( channels, nextYear, new AsyncCallback<DeviceRegistrationResult>() {
//
//                    @Override
//                    public void handleResponse(DeviceRegistrationResult response) {
//                        Log.i("PUSH REGISTRATION", " response "+response);
//                    }
//
//                    @Override
//                    public void handleFault(BackendlessFault fault) {
//                        Log.i("PUSH REGISTRATION", " fault "+fault);
//                    }
//                });
                Backendless.Messaging.registerDevice( (AsyncCallback<DeviceRegistrationResult>) null );


                Intent intent = new Intent( getApplicationContext(), Messaging_Activity.class);
                startActivity(intent);
            }
        });

    }



}
